<?php

include_once './pages/PageInterface.inc.php';

/**
 * This class represent some static homepage.
 *
 * @author Thomas Schwery <thomas.schwery@epfl.ch>
 */
class IndexPage implements PageInterface {

    private $title;

    private $content;

    public function __construct() {
        $this->title = "Accueil";

        $this->content = <<<CONTENT
<div class="index_title">
    Bienvenue sur le site web de l'arc-club Crans-Montana
</div>

<div>
<div class="index_image_left">
<img src='./images/logo_accm.png' alt='Logo de l'arc-club Crans-Montana' width='200px'>
</div>
<p class="index_text">
Sport de rigueur, de précision, de concentration, de régularité, le tir à l'arc
développe et exige équilibre, volonté, maîtrise de soi et résistance au stress.
L'exigence en matière de concentration est telle que le tir à l'arc permet de
faire le vide en soi.
</p>
</div>
CONTENT;
    }

    public function getContent() {
        return $this->content;
    }

    public function getTitle() {
        return $this->title;
    }

    public static function getStaticTitle() {
        return "Page d'accueil";
    }
}
?>
